package com.ss.android.ugc.aweme.authorize.viewmodel;

import X.0Bt;
import X.1Bn;
import X.C3098SLe;
import X.C3108SLo;
import X.C3111SLr;
import X.C3113SLt;
import X.FWY;
import X.KEU;
import X.KPw;
import X.M12;
import X.SLQ;
import X.SLT;
import X.SLV;
import X.SM4;
import X.SM5;
import X.SMJ;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.authorize.AwemeAuthorizePlatformDepend;
import java.util.List;

public final class AuthCommonViewModel extends 0Bt {
    public final 1Bn<SLQ> LIZ = new 1Bn<>();
    public final 1Bn<C3108SLo> LIZIZ = new 1Bn<>();
    public final 1Bn<List<FWY>> LIZJ = new 1Bn<>();
    public final 1Bn<SLT> LIZLLL = new 1Bn<>();
    public final 1Bn<SM5> LJ = new 1Bn<>();
    public final 1Bn<SM5> LJFF = new 1Bn<>();
    public final 1Bn<SMJ> LJI = new 1Bn<>();
    public final 1Bn<SM4> LJII = new 1Bn<>();
    public final SLV LJIIIIZZ;
    public final KPw LJIIIZ;
    public final AwemeAuthorizePlatformDepend LJIIJ;

    static {
        Covode.recordClassIndex(53672);
    }

    public final void LIZ() {
        this.LJIIJ.LIZ(new C3111SLr(this));
    }

    public final void LIZ(KPw kPw) {
        M12.LIZ(kPw);
        this.LJIIJ.LIZ(new C3113SLt(this, kPw));
    }

    public final void LIZ(boolean z, boolean z2) {
        this.LJI.postValue(new SMJ(z, z2));
    }

    public AuthCommonViewModel(AwemeAuthorizePlatformDepend awemeAuthorizePlatformDepend, SLV slv, KPw kPw) {
        M12.LIZ(awemeAuthorizePlatformDepend, slv, kPw);
        this.LJIIJ = awemeAuthorizePlatformDepend;
        this.LJIIIIZZ = slv;
        this.LJIIIZ = kPw;
    }

    public final void LIZ(String str, int i, String str2, String str3, String str4, String str5, boolean z) {
        String str6 = str;
        String str7 = str2;
        M12.LIZ(str6, str7);
        String str8 = str4;
        new KEU().LIZ(str6, i, str7, str3, str8, str5, new C3098SLe(this, z, str7));
    }
}
